ドメインが別のSSO接続で使用されています

Moses Skodaエンジニア読了目安 1分

この問題が発生すると、APIは409 Conflictを返します。typeはhttps://lingo.dev/docs/api/errors/sso-domain-takenです。すべてのエラーに共通する形式については、エラーとステータスコードをご覧ください。

ドメインexample.comは、すでに別のSSO接続で使用されています。移行するには、Lingo.devのサポートにお問い合わせください。

フィールド#

本文には、標準のtype、status、title、detailに加えて、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストを表示することもできます。

フィールド型
domainstring

例#

json
{
  "detail": "Domain example.com already taken by another SSO connection. Contact Lingo.dev support to move it.",
  "domain": "example.com",
  "type": "https://lingo.dev/docs/api/errors/sso-domain-taken",
  "status": 409,
  "title": "Domain taken by another SSO connection"
}

このエラーを返すエンドポイント#

  • PUT /v2/organizations/{orgId}/sso